#include <bits/stdc++.h>
using namespace std;
int main()
{
    int N,L,i;
    cin>>N>>L;
    vector<int> heights(N);
    for(i=0;i<N;i++){
        cin>>heights[i];
    }
    for(i=0;i<N;i++){
        if (heights[i]<=L){
            cout<<(i+1);
            return 0;
        }
    }
    cout<<-1;
    
    return 0;
}